#ifndef __DepthStencilBuffer__
#define __DepthStencilBuffer__

#ifndef CORE_DLL 
    #ifdef CORE_BUILD
	    #define CORE_DLL __declspec(dllexport)
    #else
	    #define CORE_DLL __declspec(dllimport)
        #pragma comment(lib, "Core.lib")
    #endif
#endif

#include "../../Core/types.h"


class CORE_DLL DepthStencilBuffer {
public:
    virtual ~DepthStencilBuffer();

    uint32 getSampleCount();

    uint32 getWidth();
    uint32 getHeight();

    virtual void resize(uint32 width, uint32 height) = 0;

protected:
    DepthStencilBuffer();

    uint32 _sampleCount;
    uint32 _width, _height;
};


#endif